{ lib, fetchFromGitHub, rustPlatform }:

rustPlatform.buildRustPackage rec {
  pname = "pixelpwnr";
  version = "unstable-2020-02-05";

  src = fetchFromGitHub {
    owner = "timvisee";
    repo = pname;
    rev = "fd8f35639dfaefef83ccb752bdc20434d208f0a6";
    sha256 = "sha256-PC+1Vx9H9njAy5UusFOHlE8SLpCf+J7cCPWONwDSU58=";
  };

  cargoSha256 = "sha256-4cnsSGUzIJyTEbjmKeORrw03RuyJxQ6PpBcwVR17xdM=";

  meta = with lib; {
    description = "Insanely fast pixelflut client for images and animations written in Rust";
    homepage = "https://github.com/timvisee/pixelpwnr";
    license = licenses.gpl3Only;
    maintainers = with maintainers; [ sbruder ];
  };
}
