{ lib, stdenv, fetchFromGitHub, pkg-config, imagemagick }:

stdenv.mkDerivation rec {
  pname = "sturmflut";
  version = "unstable-2020-02-14";

  src = fetchFromGitHub {
    owner = "TobleMiner";
    repo = pname;
    rev = "f76221d873826db2a9df73f4626a792d28aacb42";
    sha256 = "sha256-Vx1aN8m3zVuSTZJ69rYyVTlw0/9HvtT0+Y2c61pa/Tk=";
  };

  nativeBuildInputs = [ pkg-config ];
  buildInputs = [ imagemagick ];

  installPhase = ''
    runHook preInstall
    install -D sturmflut $out/bin/sturmflut
    runHook postInstall
  '';

  meta = with lib; {
    description = "A FAST (80+ Gbit/s) pixelflut client with full IPv6 and animation support";
    homepage = "https://github.com/TobleMiner/sturmflut";
    license = licenses.mit;
    maintainers = with maintainers; [ sbruder ];
  };
}
